%global momorel 8

Summary:        A realtime communications framework
Name:           decibel
Version:        0.5.0
Release:        %{momorel}m%{?dist}
License:        LGPLv2
# FIXME/TODO: Find proper group
Group:          User Interface/Desktops
URL:            http://decibel.kde.org
Source0:        http://decibel.kde.org/fileadmin/downloads/%{name}/releases/%{name}-%{version}.tar.gz
NoSource:	0
Patch0:         %{name}-%{version}-gcc44.patch
Patch1:         %{name}-%{version}-qtdbus-link.patch 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# FIXME/TODO: some BRs from CMakeCache.txt
# DOXYGEN_DOT_EXECUTABLE:FILEPATH=DOXYGEN_DOT_EXECUTABLE-NOTFOUND
# QT_QTMOTIF_INCLUDE_DIR:PATH=QT_QTMOTIF_INCLUDE_DIR-NOTFOUND
# QT_QTMOTIF_LIBRARY:FILEPATH=QT_QTMOTIF_LIBRARY-NOTFOUND
# QT_QTNSPLUGIN_INCLUDE_DIR:PATH=QT_QTNSPLUGIN_INCLUDE_DIR-NOTFOUND
# QT_QTNSPLUGIN_LIBRARY:FILEPATH=QT_QTNSPLUGIN_LIBRARY-NOTFOUND
BuildRequires:  cmake >= 2.4.8-5m
BuildRequires:  doxygen
BuildRequires:  kdelibs-devel
BuildRequires:  pkgconfig
BuildRequires:  tapioca-qt-devel
BuildRequires:  telepathy-qt-devel
# FIMXE/TODO: This ones will be in kdelibs4-devel soon; could be removed then
BuildRequires:  libXScrnSaver-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXtst-devel
BuildRequires:  libXv-devel
BuildRequires:  libXxf86misc-devel
BuildRequires:  libxkbfile-devel

# FIXME/TODO: Find proper description 
%description
Decibel is a realtime communications framework, integrating services like CTI 
(Computer Telephone Integration), VoIP (Voice over IP), text based chat and 
instant messaging. 
Desktop users find in Decibel one central place to manage all their realtime 
communication settings and can easily configure and change responses to 
communication requests. 
By providing a simple, DBus-based API to the services like communication 
accountmanagement, connection to contacts, etc. Decibel reduces the complexity 
and effort of accessing realtime communication technologies in applications. 
This allows for integration of realtime communication technologies into 
applications that are not focused on communication.

%package devel
Group:    Development/Libraries
Summary:  Header files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Header files for developing applications using %{name}.

%prep
%setup -q

%patch0 -p1 -b .gcc44~
%patch1 -p1 -b .lqtdbus

%build

# FIXME/TODO: should rpath really be skipped?
%{cmake} -DCMAKE_SKIP_RPATH:BOOL=ON .

make %{?_smp_mflags} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# clean up
rm -rf %{buildroot}%{_docdir}/Decibel

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog INSTALL README ToDo docs/demos.html
%{_bindir}/%{name}
%{_bindir}/%{name}_logger
%{_bindir}/minigui
%{_libdir}/Decibel
# FIXME/TODO: put this in a subpkg?
%{_kde4_libdir}/kde4/kcm_%{name}_accountmanager.so
%{_libdir}/lib%{name}.so.*
%{_datadir}/Decibel
%{_datadir}/dbus-1/services/de.basyskom.*.service
%{_kde4_datadir}/kde4/services/kcm_%{name}_accountmanager.desktop

%files devel
%defattr(-,root,root,-)
%{_includedir}/Decibel
%{_libdir}/pkgconfig/Decibel.pc
%{_libdir}/lib%{name}.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.0-8m)
- full rebuild for mo7 release

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.0-7m)
- rebuild against qt-4.6.3-1m

* Sun May  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.0-6m)
- update qtdbus-link.patch

* Sat May  1 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-5m)
- add qtdbus-link.patch to enable build
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Jan 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0-3m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0-2m)
- rebuild against rpm-4.6

* Fri Aug  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.0-1m)
- import from Fedora

* Sun Nov 18 2007 Sebastian Vahl <fedora@deadbabylon.de> 0.5.0-1
- Initial version for Fedora
